Package org.codehaus.groovy.util

# Class ComplexKeyHashMap

java.lang.Object
org.codehaus.groovy.util.ComplexKeyHashMap

Direct Known Subclasses:
  `SingleKeyHashMap`, `TripleKeyHashMap`

@Deprecated public class ComplexKeyHashMap extends Object
Deprecated.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `ComplexKeyHashMap.Entry`
  Deprecated.
  `static interface`
  `ComplexKeyHashMap.EntryIterator`
  Deprecated.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `protected static final int`
  `DEFAULT_CAPACITY`
  Deprecated.
  `protected static final int`
  `MAXIMUM_CAPACITY`
  Deprecated.
  `protected static final int`
  `MINIMUM_CAPACITY`
  Deprecated.
  `protected int`
  `size`
  Deprecated.
  `protected ComplexKeyHashMap.Entry[]`
  `table`
  Deprecated.
  `protected int`
  `threshold`
  Deprecated.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ComplexKeyHashMap()`
  Deprecated.
  `ComplexKeyHashMap(boolean b)`
  Deprecated.
  `ComplexKeyHashMap(int expectedMaxSize)`
  Deprecated.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `clear()`
  Deprecated.
  `ComplexKeyHashMap.EntryIterator`
  `getEntrySetIterator()`
  Deprecated.
  `ComplexKeyHashMap.Entry[]`
  `getTable()`
  Deprecated.
  `static int`
  `hash(int h)`
  Deprecated.
  `void`
  `init(int initCapacity)`
  Deprecated.
  `boolean`
  `isEmpty()`
  Deprecated.
  `void`
  `resize(int newLength)`
  Deprecated.
  `int`
  `size()`
  Deprecated.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### table

    protected ComplexKeyHashMap.Entry[] table
    Deprecated.

  - ### DEFAULT_CAPACITY

    protected static final int DEFAULT_CAPACITY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MINIMUM_CAPACITY

    protected static final int MINIMUM_CAPACITY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### MAXIMUM_CAPACITY

    protected static final int MAXIMUM_CAPACITY
    Deprecated.
    See Also:
      - Constant Field Values

  - ### size

    protected int size
    Deprecated.

  - ### threshold

    protected transient int threshold
    Deprecated.

- ## Constructor Details

  - ### ComplexKeyHashMap

    public ComplexKeyHashMap()
    Deprecated.

  - ### ComplexKeyHashMap

    public ComplexKeyHashMap(boolean b)
    Deprecated.

  - ### ComplexKeyHashMap

    public ComplexKeyHashMap(int expectedMaxSize)
    Deprecated.

- ## Method Details

  - ### hash

    public static int hash(int h)
    Deprecated.

  - ### size

    public int size()
    Deprecated.

  - ### isEmpty

    public boolean isEmpty()
    Deprecated.

  - ### clear

    public void clear()
    Deprecated.

  - ### init

    public void init(int initCapacity)
    Deprecated.

  - ### resize

    public void resize(int newLength)
    Deprecated.

  - ### getTable

    public ComplexKeyHashMap.Entry[] getTable()
    Deprecated.

  - ### getEntrySetIterator

    public ComplexKeyHashMap.EntryIterator getEntrySetIterator()
    Deprecated.